#import <appkit/Application.h>

@interface DrawApp : Application
{
    id tools;			/* the Tool Palette matrix */
    id currentGraphic;		/* the factory object used to create things */
    id savePanelAccessory;	/* the SavePanel Draw/PS/TIFF view */
    id spamatrix;		/* the matrix in the savePanelAccessory view */
    id plpAccessory;		/* accessory view in the page layout panel */
    id infoPanel;		/* the Info... panel */
    id version;			/* the version field in the Info... panel */
    id gridInspector;		/* the shared modal panel to inspect grids */
    id inspectorPanel;		/* the shared inspector panel */
    BOOL cursorPushed;		/* whether we've temporarily changed the
				   cursor to NXArrow because the user held
				   down the Control key */
    BOOL haveOpenedDocument;	/* whether we have opened a document */
}

/* Public methods */

+ initialize;
+ new;

- currentGraphic;
- currentDocument;
- (const char *)currentDirectory;

/* Shared panels */

- saveToPanel;
- saveAsPanel;
- gridInspector;
- inspectorPanel;
- pageLayout;
- orderFrontInspectorPanel:sender;

/* Target/Action methods */

- help:sender;
- helpGB:sender;	/* <jf> */
- info:sender;
- new:sender;
- open:sender;
- terminate:sender;

/* Application delegate methods */

- appDidInit:sender;
- (int)appOpenFile:(const char *)path type:(const char *)type;
- (BOOL)appAcceptsAnotherFile:sender;

/* Listener/Speaker methods */

- (int)msgDirectory:(char * const *)fullPath ok:(int *)flag;
- (int)msgVersion:(char * const *)aString ok:(int *)flag;
- (int)msgFile:(char * const *)fullPath ok:(int *)flag;
- (int)msgPrint:(const char *)fullPath ok:(int *)flag;
- (int)msgSelection:(char * const *)bytes length:(int *)len
    asType:(const char *)aType ok:(int *)flag;
- (int)msgCopyAsType:(const char *)aType ok:(int *)flag;
- (int)msgCutAsType:(const char *)aType ok:(int *)flag;
- (int)msgPaste:(int *)flag;

/* Global cursor setting methods */

- cursor;
- sendEvent:(NXEvent *)event;

/* Menu updating method */

- (BOOL)menuItemUpdate:menuCell;

/* Target/Action method which sets the currentGraphic instance variable */

- setCurrentGraphic:sender;

@end



